/// <reference types="cypress" />
import parse from "@cucumber/tag-expressions";
import DataTable from "./data_table";
import { IHookBody, IParameterTypeDefinition } from "./types";
export declare type HookKeyword = "Before" | "After";
export interface IHook {
    id: string;
    node: ReturnType<typeof parse>;
    implementation: IHookBody;
    keyword: HookKeyword;
}
export declare class Registry {
    private parameterTypeRegistry;
    private preliminaryStepDefinitions;
    private stepDefinitions;
    beforeHooks: IHook[];
    afterHooks: IHook[];
    constructor();
    finalize(): void;
    defineStep(description: string | RegExp, implementation: () => void): void;
    defineParameterType<T>({ name, regexp, transformer, }: IParameterTypeDefinition<T>): void;
    defineBefore(options: {
        tags?: string;
    }, fn: IHookBody): void;
    defineAfter(options: {
        tags?: string;
    }, fn: IHookBody): void;
    private resolveStepDefintion;
    runStepDefininition(world: Mocha.Context, text: string, argument?: DataTable | string): any;
    resolveBeforeHooks(tags: string[]): IHook[];
    resolveAfterHooks(tags: string[]): IHook[];
    runHook(world: Mocha.Context, hook: IHook): void;
}
declare global {
    namespace globalThis {
        var __cypress_cucumber_preprocessor_registry_dont_use_this: Registry | undefined;
    }
}
export declare function withRegistry(fn: () => void): Registry;
export declare function assignRegistry(registry: Registry): void;
export declare function freeRegistry(): void;
export declare function getRegistry(): Registry;
